Hide navigation sidebar
Hide table of contents sidebar
Skip to content
Back to top
View this page
Toggle table of contents sidebar

# bottle.py

LiveReload’s `livereload.Server` class can be used directly with `bottle.py`.

## Setup

Use the `livereload.Server` to serve the application.

## Usage

    import bottle
    from livereload import Server

    bottle.debug(True)  # debug mode is required for templates to be reloaded

    app = Bottle()

    server = Server(app)
    server.watch(...)
    server.serve()